/***********************************************************
 *
 *	boot.c
 *
 *  This is vector and interrupt program with C.
 *
 * history : 2008/04/01	start
 * 			 2008/06/04	modify vector table
 *
 *	COPYRIGHT (C) 2015, SEIKO EPSON CORP. All Rights Reserved
 ***********************************************************/

#include "crt0.h"

/* --- function declaration --- */



/* --- Non-Maskable Interrupts --- */
C17_INTERRUPT_HANDLER(_vector01_handler, intAddrErr);	// Address misaligned

/****************************************************************************
 * _init_device function.
 *
 * @brief	Initialize device module.
 ***************************************************************************/
void _init_device(void)
{
	/// Initialize module.

	return;
}



/* ----- Non Maskable Interrupt Handler ----- */

/****************************************************************************
 * intAddrErr function.
 *
 * @brief	Interrupt handler for "Address misaligned".
 ***************************************************************************/
void intAddrErr(void)
{
	/// Undecid processing.
	asm("halt");
}

